Units API Reference

Units

For authentication instructions, see API overview.

This endpoint allows you to retrieve a list of real estate units within a property management system.

It is retained primarily for backward compatibility. Advised for limited use; consider using more current alternatives for unit data retrieval.

For ad-hoc queries or aggregations of unit data, please utilize the Query endpoint instead.

To export comprehensive lists or extensive pages of unit data, refer to our CDP/Batch Exports solutions.

get

List all units

Returns a list of units. The units are returned in sorted order, with the most recent appearing first.

Query parameters

  • limitinteger

    The number of records to return

  • pageinteger

    The page number

  • orderstring

    The order of the records

  • sortBystring

    The sort of the records

  • fieldsstring

    The filter of the records

  • pstring

    policyFilters

  • qstring

    search query

Response schema

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/units/

Response

RESPONSE
{
"name": "string",
"type": "string",
"location": "string",
"price": 0,
"surface": 0,
"guaranty": 0,
"city": "string",
"subProjectId": "string",
"priceBase": "string",
"unitImageUrl": "string",
"unitNameAr": "string",
"unitLocation": {
"type": "string",
"coordinates": [
0
]
},
"expense": {
"name": "string",
"value": 0
},
"startingPrice": 0,
"maxPrice": 0,
"unitDesc": "string",
"unitDescAr": "string",
"unitShortDesc": "string",
"unitShortDescAr": "string",
"gallery": [
"string"
],
"specs": [
{
"featureNumber": 0,
"featureType": "string",
"featureImage": "string",
"featureDesc": "string",
"featureDescAr": "string",
"featureTag": "string",
"active": true
}
],
"options": [
{
"optionNumber": 0,
"optionName": "string",
"optionNameAr": "string",
"area": 0,
"uom": "string",
"price": 0,
"active": true
}
],
"paymentPlans": [
{
"planNumber": 0,
"planName": "string",
"planNameAr": "string",
"planDesc": "string",
"planDescAr": "string",
"minPrice": 0,
"maxPrice": 0,
"default": true,
"downPayment": 0,
"installmentsValue": 0,
"paymentDetails": "string",
"active": true
}
],
"floorsPlan": [
{
"floorsNumber": 0,
"floorName": "string",
"floorNameAr": "string",
"floorDesc": "string",
"floorDescAr": "string",
"rooms": 0,
"baths": 0,
"view": "string",
"area": 0,
"uom": "string",
"price": 0,
"extras": "string",
"floorImage": "string"
}
],
"readings": [
{
"service": "string",
"currentReading": 0,
"previousReading": 0,
"cost": 0,
"readingDate": "string",
"Notes": "string"
}
]
}
post

Create unit

Create unit. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • namestring
  • typestring
  • locationstring
  • pricenumber
  • surfacenumber
  • guarantynumber
  • citystring
  • subProjectIdstring
  • priceBasestring
  • unitImageUrlstring
  • unitNameArstring
  • unitLocationobject
  • expenseobject
  • startingPricenumber
  • maxPricenumber
  • unitDescstring
  • unitDescArstring
  • unitShortDescstring
  • unitShortDescArstring
  • galleryarray
  • specsarray
  • optionsarray
  • paymentPlansarray
  • floorsPlanarray
  • readingsarray

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/units/ \
-d 'name="string"' \
-d 'type="string"' \
-d 'location="string"' \
-d 'price=0' \
-d 'surface=0' \
-d 'guaranty=0' \
-d 'city="string"' \
-d 'subProjectId="string"' \
-d 'priceBase="string"' \
-d 'unitImageUrl="string"' \
-d 'unitNameAr="string"' \
-d 'unitLocation="object"' \
-d 'expense="object"' \
-d 'startingPrice=0' \
-d 'maxPrice=0' \
-d 'unitDesc="string"' \
-d 'unitDescAr="string"' \
-d 'unitShortDesc="string"' \
-d 'unitShortDescAr="string"' \
-d 'gallery="array"' \
-d 'specs="array"' \
-d 'options="array"' \
-d 'paymentPlans="array"' \
-d 'floorsPlan="array"' \
-d 'readings="array"'

Response

No response schema
get

Retrieve unit

Returns a single uni, which you can request by passing through an id in the url.

Path parameters

  • idstring

    ID of the unit

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/units/:id/

Response

No response schema
put

Update unit

Path parameters

  • idstring

    ID of the unit

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X PUT \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/units/:id/

Response

No response schema
patch

Update patch api v2 units {id}

Update patch api v2 units {id} by setting the values of the parameters passed. Any parameters not set will be unchanged.

Path parameters

  • idstring

    ID of the unit

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/units/:id/

Response

No response schema
delete

Delete delete api v2 units {id}

Path parameters

  • idstring

    ID of the unit

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X DELETE \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/units/:id/

Response

No response schema
put

Update unit bulk

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X PUT \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/units/bulk/update

Response

No response schema
put

Update unit publishing

Path parameters

  • idstring

    ID of the unit

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X PUT \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/units/publishing-actions/:id

Response

No response schema